echo off
:check1
if "%1" == "c:" goto AE
if "%1" == "C:" goto AE
if "%1" == "d:" goto AE
if "%1" == "D:" goto AE
if "%1" == "e:" goto AE
if "%1" == "E:" goto AE
if "%1" == "f:" goto AE
if "%1" == "F:" goto AE
goto msg1
:AE
if exist %1\TVGA\NUL GOTO DE
MD %1\TVGA
:DE
echo *********************************************************
ECHO *                                                       *
ECHO *                 COPYING...........                    *
ECHO *                                                       *
echo *********************************************************
PKUNZIP FILETRAN %1\TVGA 
COPY DISK*.* %1\TVGA
COPY PKUNZIP.EXE %1\TVGA
%1
CD\TVGA
cls
echo ***************************************************************
ECHO *                                                             *
ECHO * Please prepare three FORMATTED 1.2M DISKETTES for the       *
ECHO * Driver & Utility Disk #1, #2 and #3.                        *
ECHO * Type:                                                       *
echo *        "FILETRAN [n] [Dr:]"                                 *
echo * [n]    is the SOFTWARE DRIVER NUMBER you want to UNPACK.    *
echo * [Dr:]  is the DRIVE you want to copy your files to (A or B) *
echo *                                                             *
echo *        1. Driver & Utility Disk #1                          *
echo *        2. Driver & Utility Disk #2                          *
echo *        3. Driver & Utility Disk #3                          *
echo *        4. ALL Disk                                          *
echo *                                                             *
ECHO ***************************************************************
goto out
:msg1
cls
ECHO ***************************************************************
echo *                                                             *
echo * Enter   "INSTALL [Dr:]"                                     *
echo * [Dr:]  is the HARD DRIVE you want to copy your files to.    *
echo *                                                             *
ECHO ***************************************************************
goto out
:out
